class ParameterOutOfRangeException < StandardError
    attr_reader :message

    def initialize(name, type)
        case type
        when :min
            @message = "Parameter `#{name}` is less than the minimum permitted" 
        when :max
            @message = "Parameter `#{name}` is more than the maximum permitted"
        when :in
            @message = "Parameter `#{name}` is not in the list of possible values"
        end
    end
end

class ParameterNotPresentException < StandardError
    attr_reader :message

    def initialize(name)
        @message = "Parameter `#{name}` is not present"
    end
end